### Method

# Gimp Unit get_scaled_digits

#### Declaration [src]

    gint
    gimp_unit_get_scaled_digits (
      GimpUnit unit,
      gdouble resolution
    )

#### Description [src]

Returns the number of digits a `unit` field should provide to get enough accuracy so that every pixel position shows a different value from neighboring pixels.

Note: when needing digit accuracy to display a diagonal distance, the `resolution` may not correspond to the image’s horizontal or vertical resolution, but instead to the result of: `distance_in_pixel / distance_in_inch`.

#### Parameters

`resolution` | `gdouble`
| The resolution in PPI.

#### Return value

Returns: | `gint`
| The suggested number of digits.